Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRBubblePlot

All Superinterfaces:
  java.lang.Cloneable, JRChartPlot, JRCloneable, JRXAxisFormat, JRYAxisFormat

All Known Implementing Classes:
  JRBaseBubblePlot, JRDesignBubblePlot, JRFillBubblePlot

    public interface JRBubblePlot

extends JRChartPlot, JRXAxisFormat, JRYAxisFormat

Version:
  $Id: JRBubblePlot.java 3559 2010-03-10 10:31:16Z shertage $
Author:
  Flavius Sana (flavius_sana@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Method Summary
`JRExpression` | `getDomainAxisMaxValueExpression()`
`JRExpression` | `getDomainAxisMinValueExpression()`
`JRExpression` | `getRangeAxisMaxValueExpression()`
`JRExpression` | `getRangeAxisMinValueExpression()`
`int` | `getScaleType()` Deprecated. Replaced by `getScaleTypeValue()`
`java.lang.Integer` | `getScaleTypeInteger()` Deprecated. Replaced by `getScaleTypeValue()`
`ScaleTypeEnum` | `getScaleTypeValue()`
`JRExpression` | `getXAxisLabelExpression()`
`JRExpression` | `getYAxisLabelExpression()`
`void` | `setScaleType(int scaleType)` Deprecated. Replaced by `setScaleType(ScaleTypeEnum)`
`void` | `setScaleType(java.lang.Integer scaleType)` Deprecated. Replaced by `setScaleType(ScaleTypeEnum)`
`void` | `setScaleType(ScaleTypeEnum scaleType)`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.charts.JRXAxisFormat
`getOwnXAxisLabelColor, getOwnXAxisLineColor, getOwnXAxisTickLabelColor, getXAxisLabelColor, getXAxisLabelFont, getXAxisLineColor, getXAxisTickLabelColor, getXAxisTickLabelFont, getXAxisTickLabelMask, getXAxisVerticalTickLabels`

Methods inherited from interface net.sf.jasperreports.charts.JRYAxisFormat
`getOwnYAxisLabelColor, getOwnYAxisLineColor, getOwnYAxisTickLabelColor, getYAxisLabelColor, getYAxisLabelFont, getYAxisLineColor, getYAxisTickLabelColor, getYAxisTickLabelFont, getYAxisTickLabelMask, getYAxisVerticalTickLabels`

Method Detail

### getXAxisLabelExpression

    JRExpression getXAxisLabelExpression()

### getYAxisLabelExpression

    JRExpression getYAxisLabelExpression()

### getScaleType

    int getScaleType()

  Deprecated. Replaced by `getScaleTypeValue()`

### getScaleTypeInteger

    java.lang.Integer getScaleTypeInteger()

  Deprecated. Replaced by `getScaleTypeValue()`

### getScaleTypeValue

    ScaleTypeEnum getScaleTypeValue()

### setScaleType

    void setScaleType(int scaleType)

  Deprecated. Replaced by `setScaleType(ScaleTypeEnum)`

### setScaleType

    void setScaleType(java.lang.Integer scaleType)

  Deprecated. Replaced by `setScaleType(ScaleTypeEnum)`

### setScaleType

    void setScaleType(ScaleTypeEnum scaleType)

### getDomainAxisMinValueExpression

    JRExpression getDomainAxisMinValueExpression()

### getDomainAxisMaxValueExpression

    JRExpression getDomainAxisMaxValueExpression()

### getRangeAxisMinValueExpression

    JRExpression getRangeAxisMinValueExpression()

### getRangeAxisMaxValueExpression

    JRExpression getRangeAxisMaxValueExpression()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com